| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
EM::dgbSurfDataReader Class Reference
EarthModel

Reads auxdata from file. More...

`#include <emsurfauxdataio.h>`

Inheritance diagram for EM::dgbSurfDataReader:
[legend]

## Public Member Functions
| dgbSurfDataReader (const char *filename)
| ~dgbSurfDataReader ()
const char * | dataInfo () const
const char * | dataName () const
int | nextStep () override
od_int64 | nrDone () const override
void | setSurface (EM::Horizon3D &)
float | shift () const
od_int64 | totalNr () const override
uiString | uiMessage () const override
uiString | uiNrDoneText () const override
Public Member Functions inherited from Executor
| Executor (const char *nm)
virtual | ~Executor ()
int | doStep () override
bool | execute () override
bool | go (od_ostream &s, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
bool | go (od_ostream *s=0, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
Public Member Functions inherited from SequentialTask
| SequentialTask (const char *nm=nullptr)
virtual | ~SequentialTask ()
bool | execute () override
Public Member Functions inherited from ReportingTask
| ReportingTask (const ReportingTask &)=delete
virtual | ~ReportingTask ()
void | getProgress (const ReportingTask &)
ReportingTask & | operator= (const ReportingTask &)=delete
void | setSimpleMeter (bool yn, int repperc)
int | simpleMeterStep () const
bool | useSimpleMeter () const
Public Member Functions inherited from Task
| Task (const Task &)=delete
virtual | ~Task ()
virtual void | controlWork (Control)
virtual void | enableWorkControl (bool=true)
| Must be called before execute()
virtual uiRetVal | errorWithDetails () const
virtual Control | getState () const
Task & | operator= (const Task &)=delete
bool | workControlEnabled () const
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Static Public Member Functions
static uiString | sHorizonData ()
Static Public Member Functions inherited from SequentialTask
static int | ErrorOccurred ()
static int | Finished ()
static int | MoreToDo ()
static int | WarningAvailable ()
Static Public Member Functions inherited from ReportingTask
static PtrMan< ProgressMeter > | getTextProgressMeter (od_ostream &, const IOPar *iop=nullptr)
static bool | needSimpleLogging (const IOPar &)
static const char * | sKeySimpleLogging ()
static const char * | sKeySimpleLoggingStep ()
Static Public Member Functions inherited from Task
static uiString | uiStdNrDoneText ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Member Functions
bool | readFloat (float &)
bool | readHeader ()
bool | readInt (int &)
bool | readInt64 (od_int64 &)
Protected Member Functions inherited from Executor
virtual bool | goImpl (od_ostream *, bool, bool, int)
Protected Member Functions inherited from SequentialTask
virtual bool | doFinish (bool success, od_ostream *=nullptr)
virtual bool | doPrepare (od_ostream *=nullptr)
Protected Member Functions inherited from ReportingTask
| ReportingTask (const char *nm=nullptr)
void | incrementProgress ()
ProgressMeter * | progressMeter () const
void | reportProgressFinished ()
void | reportProgressStarted ()
void | resetProgress ()
void | setProgressMeter (ProgressMeter *) override
| Must be called before execute()
void | updateProgressMeter (bool forced=false, od_int64 *totalnr=0)
void | updateReportedName ()
Protected Member Functions inherited from Task
| Task (const char *nm=nullptr)
virtual bool | shouldContinue ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
int | chunksize_ = 100
EM::SectionID | currentsection_
int | dataidx_ = -1
BufferString | datainfo_
BufferString | dataname_
uiString | errmsg_
bool | error_ = true
BufferString | filename_
DataInterpreter< float > * | floatinterpreter_ = nullptr
DataInterpreter< od_int64 > * | int64interpreter_ = nullptr
DataInterpreter< int > * | intinterpreter_ = nullptr
int | nrdone_ = 0
int | nrsections_ = 0
int | sectionindex_ = 0
float | shift_ = 0
od_istream * | stream_ = nullptr
EM::Horizon3D * | surf_ = nullptr
int | totalnr_ = 0
int | valsleftonsection_ = 0
Protected Attributes inherited from Task
Control | control_ = Task::Run
Threads::ConditionVar * | workcontrolcondvar_ = nullptr
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from Task
enum | Control { Run , Pause , Stop }
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Public Attributes inherited from Executor
Notifier< Executor > | poststep
| Only when MoreToDo will be returned.
Notifier< Executor > | prestep
Public Attributes inherited from ReportingTask
Notifier< ReportingTask > | progressUpdated

## Detailed Description

Reads auxdata from file.

<>

## Constructor & Destructor Documentation

## ◆ dgbSurfDataReader()

EM::dgbSurfDataReader::dgbSurfDataReader | ( | const char * | filename | ) |

## ◆ ~dgbSurfDataReader()

EM::dgbSurfDataReader::~dgbSurfDataReader | ( |  | ) |

## Member Function Documentation

## ◆ dataInfo()

const char * EM::dgbSurfDataReader::dataInfo | ( |  | ) | const

## ◆ dataName()

const char * EM::dgbSurfDataReader::dataName | ( |  | ) | const

## ◆ nextStep()

int EM::dgbSurfDataReader::nextStep | ( |  | ) |
| override virtual

Return values

  MoreToDo() | Not finished. Call me again.
  Finished() | Nothing more to do.
  ErrorOccurred() | Something went wrong.

Note
  if function returns a value greater than cMoreToDo(), it should be interpreted as cMoreToDo().

Implements SequentialTask.

## ◆ nrDone()

od_int64 EM::dgbSurfDataReader::nrDone | ( |  | ) | const
| override virtual

Note
  nrDone is only used for displaying progress and will be compared to totalNr to show user how large part of the task that is finished.

Reimplemented from Task.

## ◆ readFloat()

bool EM::dgbSurfDataReader::readFloat | ( | float & |  | ) |
| protected

## ◆ readHeader()

bool EM::dgbSurfDataReader::readHeader | ( |  | ) |
| protected

## ◆ readInt()

bool EM::dgbSurfDataReader::readInt | ( | int & |  | ) |
| protected

## ◆ readInt64()

bool EM::dgbSurfDataReader::readInt64 | ( | od_int64 & |  | ) |
| protected

## ◆ setSurface()

void EM::dgbSurfDataReader::setSurface | ( | EM::Horizon3D & |  | ) |

## ◆ shift()

float EM::dgbSurfDataReader::shift | ( |  | ) | const

## ◆ sHorizonData()

static uiString EM::dgbSurfDataReader::sHorizonData | ( |  | ) |
| static

## ◆ totalNr()

od_int64 EM::dgbSurfDataReader::totalNr | ( |  | ) | const
| override virtual

Reimplemented from Task.

## ◆ uiMessage()

uiString EM::dgbSurfDataReader::uiMessage | ( |  | ) | const
| override virtual

Reimplemented from Task.

## ◆ uiNrDoneText()

uiString EM::dgbSurfDataReader::uiNrDoneText | ( |  | ) | const
| override virtual

Reimplemented from Task.

## Member Data Documentation

## ◆ chunksize_

int EM::dgbSurfDataReader::chunksize_ = 100
| protected

## ◆ currentsection_

EM::SectionID EM::dgbSurfDataReader::currentsection_
| protected

## ◆ dataidx_

int EM::dgbSurfDataReader::dataidx_ = -1
| protected

## ◆ datainfo_

BufferString EM::dgbSurfDataReader::datainfo_
| protected

## ◆ dataname_

BufferString EM::dgbSurfDataReader::dataname_
| protected

## ◆ errmsg_

uiString EM::dgbSurfDataReader::errmsg_
| protected

## ◆ error_

bool EM::dgbSurfDataReader::error_ = true
| protected

## ◆ filename_

BufferString EM::dgbSurfDataReader::filename_
| protected

## ◆ floatinterpreter_

DataInterpreter<float>* EM::dgbSurfDataReader::floatinterpreter_ = nullptr
| protected

## ◆ int64interpreter_

DataInterpreter<od_int64>* EM::dgbSurfDataReader::int64interpreter_ = nullptr
| protected

## ◆ intinterpreter_

DataInterpreter<int>* EM::dgbSurfDataReader::intinterpreter_ = nullptr
| protected

## ◆ nrdone_

int EM::dgbSurfDataReader::nrdone_ = 0
| protected

## ◆ nrsections_

int EM::dgbSurfDataReader::nrsections_ = 0
| protected

## ◆ sectionindex_

int EM::dgbSurfDataReader::sectionindex_ = 0
| protected

## ◆ shift_

float EM::dgbSurfDataReader::shift_ = 0
| protected

## ◆ stream_

od_istream* EM::dgbSurfDataReader::stream_ = nullptr
| protected

## ◆ surf_

EM::Horizon3D* EM::dgbSurfDataReader::surf_ = nullptr
| protected

## ◆ totalnr_

int EM::dgbSurfDataReader::totalnr_ = 0
| protected

## ◆ valsleftonsection_

int EM::dgbSurfDataReader::valsleftonsection_ = 0
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025